{"openapi":"3.0.3","info":{"title":"Vimers ID Service API","description":"Vimers ID Service API documentation","termsOfService":"https://vimers.vn/privacy-policy","contact":{"name":"Vimers., JSC","url":"https://vimers.vn","email":"contact@vimers.vn"},"license":{"name":"Vimers., JSC","url":"https://vimers.vn/license"},"version":"1.0.0"},"servers":[{"url":"https://api.vdg.vimers.vn:443","description":"Inferred Url"}],"tags":[{"name":"Authentication"},{"name":"Common Category"},{"name":"Inbound"},{"name":"NodeHandler"},{"name":"Notification","description":"The APIs for managing notification."},{"name":"Onboarding"},{"name":"Partner"},{"name":"Partner_Method"},{"name":"User"},{"name":"User Account"},{"name":"Utilities","description":"The utility APIs."},{"name":"crowd-controller","description":"Crowd Controller"},{"name":"schema_config"}],"paths":{"/api/auth/check-phone-number":{"post":{"tags":["Utilities"],"summary":"Check phone number is valid for registering","description":"return true if phone number is available for registering, otherwise false","operationId":"checkPhoneNumberUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckPhoneVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/get-token-owner":{"get":{"tags":["Authentication"],"summary":"Get current logged in user","operationId":"getTokenOwnerUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfTokenOfobject"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/login":{"post":{"tags":["Authentication"],"summary":"Login current user and save current device token","operationId":"loginUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfTokenOfobject"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/logout":{"get":{"tags":["Authentication"],"summary":"Logout current user and delete current device token","operationId":"logoutUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/otp/request":{"post":{"tags":["Authentication"],"summary":"Request OTP for registering new account","operationId":"requestOtpUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfVerificationRequestDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/otp/verify":{"post":{"tags":["Authentication"],"summary":"Verify OTP for registering new account","description":"return true if OTP is correct","operationId":"verifyOtpUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth/refresh-token":{"post":{"tags":["Authentication"],"summary":"Get new token using RefreshToken","operationId":"refreshTokenUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDeviceVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfTokenOfobject"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat":{"get":{"tags":["Common Category"],"summary":"Read a Common Category","operationId":"readUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Common Category"],"summary":"Update a Common Category","operationId":"updateUsingPUT_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Common Category"],"summary":"Create a Common Category","operationId":"createUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Common Category"],"summary":"Delete a Common Category","operationId":"deleteUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat/search":{"post":{"tags":["Common Category"],"summary":"Search Common Category","operationId":"searchUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfComCatDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat-type":{"get":{"tags":["Common Category"],"summary":"Read a Common Category Type","operationId":"readUsingGET_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatTypeDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Common Category"],"summary":"Update a Common Category Type","operationId":"updateUsingPUT_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatTypeVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatTypeDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Common Category"],"summary":"Create a Common Category Type","operationId":"createUsingPOST_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatTypeVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfComCatTypeDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Common Category"],"summary":"Delete a Common Category Type","operationId":"deleteUsingDELETE_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/com-cat-type/search":{"post":{"tags":["Common Category"],"summary":"Search Common Category Type","operationId":"searchUsingPOST_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComCatTypeVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfComCatTypeDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/auth-crowd/me":{"get":{"tags":["crowd-controller"],"summary":"getCurrentUser","operationId":"getCurrentUserUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"authenticated","in":"query","required":false,"style":"form","schema":{"type":"boolean"}},{"name":"authorities[0].authority","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"credentials","in":"query","required":false,"style":"form","schema":{"type":"object"}},{"name":"details","in":"query","required":false,"style":"form","schema":{"type":"object"}},{"name":"principal","in":"query","required":false,"style":"form","schema":{"type":"object"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/public/inbound/{method}":{"post":{"tags":["inbound-controller"],"summary":"handleInbound","operationId":"handleInboundUsingPOST_1","parameters":[{"name":"Authorization","in":"header","description":"Authorization","required":true,"schema":{"type":"string"}},{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"method","in":"path","description":"method","required":true,"style":"simple","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBody"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/node-handler/flow":{"get":{"tags":["node-handler-controller"],"summary":"getFlow","operationId":"getFlowUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"partnerId","in":"query","description":"partnerId","required":true,"style":"form","schema":{"type":"string"}},{"name":"methodId","in":"query","description":"methodId","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FlowRequestDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/node-handler/process-flow/validate":{"post":{"tags":["node-handler-controller"],"summary":"validateFlow","operationId":"validateFlowUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowRequestDTO"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBody"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/core/notification":{"get":{"tags":["Notification"],"summary":"Read a Notification","operationId":"readNotificationUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfNotificationDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/notification/search":{"post":{"tags":["Notification"],"summary":"Search Notification","operationId":"searchUsingPOST_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfNotificationDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/onboarding":{"get":{"tags":["Onboarding"],"summary":"Read a Onboarding","operationId":"readUsingGET_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfOnboardingDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["Onboarding"],"summary":"Update a Onboarding","operationId":"updateUsingPUT_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfOnboardingDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Onboarding"],"summary":"Create a Onboarding","operationId":"createUsingPOST_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfOnboardingDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["Onboarding"],"summary":"Delete a Onboarding","operationId":"deleteUsingDELETE_5","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/onboarding/search":{"post":{"tags":["Onboarding"],"summary":"Search Onboarding","operationId":"searchUsingPOST_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfOnboardingDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/partners":{"put":{"tags":["Partner"],"summary":"Update a Partner","operationId":"updateUsingPUT_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"activated","in":"query","required":false,"style":"form","schema":{"type":"boolean"}},{"name":"code","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"description","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"id","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"initializedFields","in":"query","required":false,"style":"pipeDelimited","schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"name","in":"query","required":false,"style":"form","schema":{"type":"string"}},{"name":"token","in":"query","required":false,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPartnerDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Partner"],"summary":"Create a Partner","operationId":"createUsingPOST_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPartnerDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["partner-controller"],"summary":"delete","operationId":"deleteUsingDELETE_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/partners/get-all":{"get":{"tags":["partner-controller"],"summary":"getAll","operationId":"getAllUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/partners/search":{"post":{"tags":["partner-controller"],"summary":"search","operationId":"searchUsingPOST_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfPartnerDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/partner-method":{"get":{"tags":["partner-method-controller"],"summary":"getAll","operationId":"getAllUsingGET_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["Partner_Method"],"summary":"Update a Partner Method","operationId":"updateUsingPUT_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPartnerMethodDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["Partner_Method"],"summary":"Create a Partner Method","operationId":"createUsingPOST_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerMethodVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPartnerMethodDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["partner-method-controller"],"summary":"delete","operationId":"deleteUsingDELETE_9","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/partner-method/get-by-partner":{"get":{"tags":["partner-method-controller"],"summary":"getAllByPartner","operationId":"getAllByPartnerUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"partnerId","in":"query","description":"partnerId","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/partner-method/search":{"post":{"tags":["partner-method-controller"],"summary":"searchPartnerMethod","operationId":"searchPartnerMethodUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerMethodVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfPartnerMethodDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/public/onboarding":{"get":{"tags":["Onboarding"],"summary":"Get active onboardings","description":"return list of active onboardings","operationId":"getCurrentOnboardingsUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfListOfOnboardingDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/schema-config":{"get":{"tags":["schema-config-controller"],"summary":"getAllSchemas","operationId":"getAllSchemasUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SchemaConfig"}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["schema-config-controller"],"summary":"updateSchema","operationId":"updateSchemaUsingPUT_3","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaConfig"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["schema-config-controller"],"summary":"createSchema","operationId":"createSchemaUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaConfig"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfobject"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/schema-config/field-mapping/{schemaId}":{"put":{"tags":["schema-config-controller"],"summary":"updateSchema","operationId":"updateSchemaUsingPUT_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"schemaId","in":"path","description":"schemaId","required":true,"style":"simple","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/schema-config/search":{"post":{"tags":["schema-config-controller"],"summary":"searchPartner","operationId":"searchPartnerUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaConfigSearchRequestDTO"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfPartner"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/schema-config/{id}":{"delete":{"tags":["schema-config-controller"],"summary":"deleteSchema","operationId":"deleteSchemaUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"path","description":"id","required":true,"style":"simple","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/schema-config/{schemaId}":{"get":{"tags":["schema-config-controller"],"summary":"getById","operationId":"getByIdUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"schemaId","in":"path","description":"schemaId","required":true,"style":"simple","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/core/user-account":{"get":{"tags":["User Account"],"summary":"Get info","description":"Get information of logged in user's account","operationId":"getInformationUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["User Account"],"summary":"Update logged in user's account information","description":"Update logged in user's account","operationId":"updateProfileUsingPUT_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User Account"],"summary":"Delete logged in user's account setting","description":"Delete logged in user's account setting","operationId":"deleteAccountUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckPasswordVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/change-password":{"post":{"tags":["User Account"],"summary":"Change password","description":"Change password of logged in user's account","operationId":"changePasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_ChangePassword"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/check-password":{"post":{"tags":["User Account"],"summary":"Check password","description":"Check valid password for delete account and change password","operationId":"checkPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckPasswordVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/register":{"post":{"tags":["User Account"],"summary":"Register new account","description":"Register new account","operationId":"registerAccountUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_Register"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/reset-password":{"post":{"tags":["User Account"],"summary":"Reset password","description":"return status 200 if password have been reset","operationId":"resetPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAccountVM_ResetPassword"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/reset-password/otp/request":{"post":{"tags":["User Account"],"summary":"Request OTP for reset password","operationId":"requestOtpResetPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfVerificationRequestDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/reset-password/otp/verify":{"post":{"tags":["User Account"],"summary":"Verify OTP for reset password","description":"return true if OTP is correct","operationId":"verifyOtpResetPasswordUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyTokenVM"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user-account/signature-image":{"get":{"tags":["User Account"],"summary":"Get signature image","operationId":"getSignatureImageUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"signImgId","in":"query","description":"signImgId","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["User Account"],"summary":"Upload signature image","operationId":"uploadSignatureImageUsingPOST_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["images"],"type":"object","properties":{"images":{"type":"array","description":"images","items":{"type":"string","format":"binary"}}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User Account"],"summary":"Delete signature image","operationId":"deleteSignatureImageUsingDELETE_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"signImgId","in":"query","description":"signImgId","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseEntity"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/user":{"get":{"tags":["User"],"summary":"Read a User","operationId":"readUsingGET_7","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"put":{"tags":["User"],"summary":"Update a User","operationId":"updateUsingPUT_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserVM_Update"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"post":{"tags":["User"],"summary":"Create a User","operationId":"createUsingPOST_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserVM_Create"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]},"delete":{"tags":["User"],"summary":"Delete a User","operationId":"deleteUsingDELETE_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"JWT":[""]}]}},"/api/core/user/lock":{"get":{"tags":["User"],"summary":"Lock a User","operationId":"lockUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user/reset-password":{"get":{"tags":["User"],"summary":"Create new password for a User","operationId":"resetPasswordUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfstring"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user/search":{"post":{"tags":["User"],"summary":"Search User","operationId":"searchUsingPOST_11","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"style":"form","schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"size","required":false,"style":"form","schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserVM_Search"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfPageOfUserDTO"}}}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}},"/api/core/user/unlock":{"get":{"tags":["User"],"summary":"Unlock a User","operationId":"unlockUsingGET_1","parameters":[{"name":"Content-Language","in":"header","description":"The language(s) intended for the audience. Examples: 'en', 'vi', etc.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"Secure-Api","in":"header","description":"If 'true', this request is marked as using end-to-end encryption. Otherwise, normal request.","required":false,"allowReserved":false,"schema":{"type":"string"}},{"name":"id","in":"query","description":"id","required":true,"style":"form","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseBodyOfboolean"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"JWT":[""]}]}}},"components":{"schemas":{"Address":{"title":"Address","type":"object","properties":{"country":{"type":"string","description":"Country of the Address","example":"VN"},"detail":{"type":"string","description":"Detail of the Address","example":"BT1-07, Khu đô thị An Hưng, Phường La Khê, Quận Hà Đông, Thành phố Hà Nội, VN"},"district":{"type":"string","description":"District of the Address","example":"Quận Hà Đông"},"path":{"type":"string"},"province":{"type":"string","description":"Province of the Address","example":"Thành phố Hà Nội"},"state":{"type":"string","description":"State of the Address","example":"US State"},"street":{"type":"string","description":"Street of the Address","example":"Khu đô thị An Hưng"},"ward":{"type":"string","description":"Ward of the Address","example":"Phường La Khê"}}},"ApiResponseBody":{"title":"ApiResponseBody","type":"object","properties":{"data":{"type":"object","description":"Data object of the response.","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfComCatDTO":{"title":"ApiResponseBodyOfComCatDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/ComCatDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfComCatTypeDTO":{"title":"ApiResponseBodyOfComCatTypeDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/ComCatTypeDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfListOfOnboardingDTO":{"title":"ApiResponseBodyOfListOfOnboardingDTO","type":"object","properties":{"data":{"type":"array","description":"Data object of the response.","example":"{}","items":{"$ref":"#/components/schemas/OnboardingDTO"}},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfNotificationDTO":{"title":"ApiResponseBodyOfNotificationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/NotificationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfOnboardingDTO":{"title":"ApiResponseBodyOfOnboardingDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/OnboardingDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfComCatDTO":{"title":"ApiResponseBodyOfPageOfComCatDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfComCatDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfComCatTypeDTO":{"title":"ApiResponseBodyOfPageOfComCatTypeDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfComCatTypeDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfNotificationDTO":{"title":"ApiResponseBodyOfPageOfNotificationDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfNotificationDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfOnboardingDTO":{"title":"ApiResponseBodyOfPageOfOnboardingDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfOnboardingDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfPartner":{"title":"ApiResponseBodyOfPageOfPartner","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfPartner","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfPartnerDTO":{"title":"ApiResponseBodyOfPageOfPartnerDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfPartnerDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfPartnerMethodDTO":{"title":"ApiResponseBodyOfPageOfPartnerMethodDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfPartnerMethodDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPageOfUserDTO":{"title":"ApiResponseBodyOfPageOfUserDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PageOfUserDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPartnerDTO":{"title":"ApiResponseBodyOfPartnerDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PartnerDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfPartnerMethodDTO":{"title":"ApiResponseBodyOfPartnerMethodDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/PartnerMethodDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfTokenOfobject":{"title":"ApiResponseBodyOfTokenOfobject","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/TokenOfobject","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfUserDTO":{"title":"ApiResponseBodyOfUserDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/UserDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfVerificationRequestDTO":{"title":"ApiResponseBodyOfVerificationRequestDTO","type":"object","properties":{"data":{"description":"Data object of the response.","$ref":"#/components/schemas/VerificationRequestDTO","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfboolean":{"title":"ApiResponseBodyOfboolean","type":"object","properties":{"data":{"type":"boolean","description":"Data object of the response.","example":false},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfobject":{"title":"ApiResponseBodyOfobject","type":"object","properties":{"data":{"type":"object","description":"Data object of the response.","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseBodyOfstring":{"title":"ApiResponseBodyOfstring","type":"object","properties":{"data":{"type":"string","description":"Data object of the response.","example":"{}"},"message":{"type":"string","description":"Message of the response.","example":"Success"},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32","example":200}}},"ApiResponseEntity":{"title":"ApiResponseEntity","type":"object","properties":{"body":{"type":"object"},"bodyData":{"type":"object"},"bodyMessage":{"type":"string"},"statusCode":{"type":"string","enum":["ACCEPTED","ALREADY_REPORTED","BAD_GATEWAY","BAD_REQUEST","BANDWIDTH_LIMIT_EXCEEDED","CHECKPOINT","CONFLICT","CONTINUE","CREATED","DESTINATION_LOCKED","EXPECTATION_FAILED","FAILED_DEPENDENCY","FORBIDDEN","FOUND","GATEWAY_TIMEOUT","GONE","HTTP_VERSION_NOT_SUPPORTED","IM_USED","INSUFFICIENT_SPACE_ON_RESOURCE","INSUFFICIENT_STORAGE","INTERNAL_SERVER_ERROR","I_AM_A_TEAPOT","LENGTH_REQUIRED","LOCKED","LOOP_DETECTED","METHOD_FAILURE","METHOD_NOT_ALLOWED","MOVED_PERMANENTLY","MOVED_TEMPORARILY","MULTIPLE_CHOICES","MULTI_STATUS","NETWORK_AUTHENTICATION_REQUIRED","NON_AUTHORITATIVE_INFORMATION","NOT_ACCEPTABLE","NOT_EXTENDED","NOT_FOUND","NOT_IMPLEMENTED","NOT_MODIFIED","NO_CONTENT","OK","PARTIAL_CONTENT","PAYLOAD_TOO_LARGE","PAYMENT_REQUIRED","PERMANENT_REDIRECT","PRECONDITION_FAILED","PRECONDITION_REQUIRED","PROCESSING","PROXY_AUTHENTICATION_REQUIRED","REQUESTED_RANGE_NOT_SATISFIABLE","REQUEST_ENTITY_TOO_LARGE","REQUEST_HEADER_FIELDS_TOO_LARGE","REQUEST_TIMEOUT","REQUEST_URI_TOO_LONG","RESET_CONTENT","SEE_OTHER","SERVICE_UNAVAILABLE","SWITCHING_PROTOCOLS","TEMPORARY_REDIRECT","TOO_EARLY","TOO_MANY_REQUESTS","UNAUTHORIZED","UNAVAILABLE_FOR_LEGAL_REASONS","UNPROCESSABLE_ENTITY","UNSUPPORTED_MEDIA_TYPE","UPGRADE_REQUIRED","URI_TOO_LONG","USE_PROXY","VARIANT_ALSO_NEGOTIATES"]},"statusCodeValue":{"type":"integer","format":"int32"}}},"CheckPasswordVM":{"title":"CheckPasswordVM","required":["password"],"type":"object","properties":{"password":{"type":"string","description":"Current password of the account.","example":"Secret@123"}}},"CheckPhoneVM":{"title":"CheckPhoneVM","required":["countryCode","phoneNumber"],"type":"object","properties":{"countryCode":{"type":"string","description":"Country code for registration purposes.","example":"VN"},"phoneNumber":{"type":"string","description":"Phone number - check its availability for registration purposes.","example":"84123456789"}}},"ComCatDTO":{"title":"ComCatDTO","required":["activated"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"children":{"type":"array","items":{"$ref":"#/components/schemas/ComCatDTO"}},"childrenCount":{"type":"integer","description":"Count of all children of the record.","format":"int32","example":1},"code":{"type":"string","description":"Code of the record.","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"dataType":{"type":"integer","description":"Data type of the Common Category","format":"int32","example":1},"defaultValue":{"type":"boolean","description":"Default value of the Common Category","example":false},"deleted":{"type":"boolean","description":"Status of deletion of the record.","example":true},"deletedBy":{"type":"string","description":"Actor of deletion of the record.","example":"truongtx"},"deletedDate":{"type":"string","description":"Date of deletion of the record.","format":"date-time"},"description":{"type":"string","description":"Description of the record.","example":"Điện thoại Apple iPhone 12"},"firstLevelChildrenCount":{"type":"integer","description":"Count of the first level children of the record.","format":"int32","example":1},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"level":{"type":"integer","description":"Level of the record.","format":"int32","example":1},"name":{"type":"string","description":"Name of the record.","example":"iPhone 12"},"parentId":{"type":"string","description":"Parent ID of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"pathCode":{"type":"string","description":"Path of the Code of the record.","example":"/MOBILE/IPHONE/"},"pathId":{"type":"string","description":"Path of the ID of the record.","example":"/64c5b99a2f3e1a3d2b45f678/64e1c99b3a5d4e2c1b67f9ab/"},"pathName":{"type":"string","description":"Path of the Name of the record.","example":"iPhone 12 - Mobile Devices"},"pathOrder":{"type":"string","description":"Path of the Order of the record.","example":"/001/001/002/"},"sortOrder":{"type":"integer","description":"Sort order of the record.","format":"int32","example":1},"validation":{"type":"string","description":"Validation of the Common Category","example":"{\"key\": \"value\"}"},"value":{"type":"string","description":"Value of the Common Category","example":"iphone"},"valueType":{"type":"integer","description":"Value type of the Common Category","format":"int32","example":1},"values":{"type":"array","description":"Values of the Common Category","items":{"$ref":"#/components/schemas/ComCatValue"}}}},"ComCatTypeDTO":{"title":"ComCatTypeDTO","type":"object","properties":{"activated":{"type":"boolean"},"code":{"type":"string","description":"Code of the record.","example":"A1687"},"dataType":{"type":"integer","description":"Data type of the Common Category Type","format":"int32","example":1},"deleted":{"type":"boolean","description":"Status of deletion of the record.","example":true},"deletedBy":{"type":"string","description":"Actor of deletion of the record.","example":"truongtx"},"deletedDate":{"type":"string","description":"Date of deletion of the record.","format":"date-time"},"description":{"type":"string","description":"Description of the record.","example":"Điện thoại Apple iPhone 12"},"existComCat":{"type":"boolean"},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"name":{"type":"string","description":"Name of the record.","example":"iPhone 12"}}},"ComCatTypeVM_Create":{"title":"ComCatTypeVM_Create","required":["activated","code","dataType","name"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category Type","example":true},"code":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"dataType":{"type":"integer","description":"Data type of the Common Category Type","format":"int32","example":1},"description":{"type":"string","description":"Description of the Common Category Type","example":"Điện thoại Apple iPhone 12"},"name":{"type":"string","description":"Name of the Common Category Type","example":"iPhone 12"}}},"ComCatTypeVM_Search":{"title":"ComCatTypeVM_Search","required":["activated","searchType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category Type","example":true},"code":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"description":{"type":"string","description":"Description of the Common Category Type","example":"Điện thoại Apple iPhone 12"},"id":{"type":"string","description":"Id of the Common Category Type","example":"64c5b99a2f3e1a3d2b45f678"},"keyword":{"type":"string","description":"Keyword for the search of the Common Category Type","example":"Công ty Cổ phần Vimers, BT1-07, Khu đô thị An Hưng, Hà Đông, Hà Nội, Vietnam"},"name":{"type":"string","description":"Name of the Common Category Type","example":"iPhone 12"},"searchType":{"type":"integer","description":"Search type for the search of the Common Category Type","format":"int32","example":1}}},"ComCatTypeVM_Update":{"title":"ComCatTypeVM_Update","required":["activated","id"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category Type","example":true},"code":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"dataType":{"type":"integer","description":"Data type of the Common Category Type","format":"int32","example":1},"description":{"type":"string","description":"Description of the Common Category Type","example":"Điện thoại Apple iPhone 12"},"id":{"type":"string","description":"Id of the Common Category Type","example":"64c5b99a2f3e1a3d2b45f678"},"name":{"type":"string","description":"Name of the Common Category Type","example":"iPhone 12"}}},"ComCatVM_Create":{"title":"ComCatVM_Create","required":["activated","code","comCatTypeId","dataType","name","sortOrder","valueType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"code":{"type":"string","description":"Code of the Common Category","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"dataType":{"type":"integer","description":"Data type of the Common Category","format":"int32","example":1},"defaultValue":{"type":"boolean","description":"Default value of the Common Category","example":false},"description":{"type":"string","description":"Description of the Common Category","example":"Điện thoại Apple iPhone 12"},"level":{"type":"integer","description":"Level of the record.","format":"int32","example":1},"name":{"type":"string","description":"Name of the Common Category","example":"iPhone 12"},"sortOrder":{"type":"integer","description":"Sort order of the record.","format":"int32","example":1},"validation":{"type":"string","description":"Validation of the Common Category","example":"{\"key\": \"value\"}"},"value":{"type":"string","description":"Value of the Common Category","example":"iphone"},"valueType":{"type":"integer","description":"Value type of the Common Category","format":"int32","example":1},"values":{"type":"array","description":"Values of the Common Category","items":{"$ref":"#/components/schemas/ComCatValue"}}}},"ComCatVM_Search":{"title":"ComCatVM_Search","required":["activated","searchType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"code":{"type":"string","description":"Code of the Common Category","example":"A1687"},"comCatTypeCode":{"type":"string","description":"Code of the Common Category Type","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"description":{"type":"string","description":"Description of the Common Category","example":"Điện thoại Apple iPhone 12"},"keyword":{"type":"string","description":"Keyword for the search of the Common Category","example":"Công ty Cổ phần Vimers, BT1-07, Khu đô thị An Hưng, Hà Đông, Hà Nội, Vietnam"},"level":{"type":"integer","description":"Level of the record.","format":"int32","example":1},"name":{"type":"string","description":"Name of the Common Category","example":"iPhone 12"},"parentId":{"type":"string","description":"Parent ID of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"searchType":{"type":"integer","description":"Search type for the search of the Common Category","format":"int32","example":1},"valueType":{"type":"integer","description":"Value type of the Common Category","format":"int32","example":1},"values":{"type":"array","description":"Values of the Common Category","items":{"$ref":"#/components/schemas/ComCatValue"}}}},"ComCatVM_Update":{"title":"ComCatVM_Update","required":["activated","id"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activated status of the Common Category","example":true},"code":{"type":"string","description":"Code of the Common Category","example":"A1687"},"comCatTypeId":{"type":"string","description":"ComCatType's ID of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"dataType":{"type":"integer","description":"Data type of the Common Category","format":"int32","example":1},"defaultValue":{"type":"boolean","description":"Default value of the Common Category","example":false},"description":{"type":"string","description":"Description of the Common Category","example":"Điện thoại Apple iPhone 12"},"id":{"type":"string","description":"Id of the Common Category","example":"64c5b99a2f3e1a3d2b45f678"},"level":{"type":"integer","description":"Level of the record.","format":"int32","example":1},"name":{"type":"string","description":"Name of the Common Category","example":"iPhone 12"},"parentId":{"type":"string","description":"Parent ID of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"sortOrder":{"type":"integer","description":"Sort order of the record.","format":"int32","example":1},"validation":{"type":"string","description":"Validation of the Common Category","example":"{\"key\": \"value\"}"},"value":{"type":"string","description":"Value of the Common Category","example":"iphone"},"valueType":{"type":"integer","description":"Value type of the Common Category","format":"int32","example":1},"values":{"type":"array","description":"Values of the Common Category","items":{"$ref":"#/components/schemas/ComCatValue"}}}},"ComCatValue":{"title":"ComCatValue","type":"object","properties":{"dataType":{"type":"integer","description":"Data type value of the Common Category","format":"int32","example":1},"name":{"type":"string","description":"Name value of the Common Category","example":"iPhone 12"},"value":{"type":"object","description":"Value of the Common Category"}}},"EdgeDTO":{"title":"EdgeDTO","type":"object","properties":{"source":{"type":"string"},"target":{"type":"string"}}},"FieldMapping":{"title":"FieldMapping","type":"object","properties":{"dataType":{"type":"string"},"nullable":{"type":"boolean"},"sourceField":{"type":"string"},"targetField":{"type":"string"},"value":{"type":"string"}}},"FlowRequestDTO":{"title":"FlowRequestDTO","type":"object","properties":{"edges":{"type":"array","items":{"$ref":"#/components/schemas/EdgeDTO"}},"flowId":{"type":"string"},"flowType":{"type":"string"},"methodId":{"type":"string"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/NodeDTO"}},"partnerId":{"type":"string"},"payload":{"type":"object"},"scheduling":{"$ref":"#/components/schemas/Scheduling"},"templateNodes":{"type":"array","items":{"$ref":"#/components/schemas/TemplateNodeDTO"}},"token":{"type":"string"}}},"LoginVM":{"title":"LoginVM","type":"object","properties":{"countryCode":{"type":"string","description":"Country code for registration purposes.","example":"VN"},"device":{"description":"Device that user is logging in.","$ref":"#/components/schemas/UserDeviceVM"},"email":{"type":"string","description":"Email of the User","example":"truongtx@vimers.vn"},"password":{"type":"string","description":"Password of the User","example":"Secret@123"},"phoneNumber":{"type":"string","description":"Phone Number of the User","example":"84123456789"},"rememberMe":{"type":"boolean","description":"Remember logged in status for a long time.","example":true},"username":{"type":"string","description":"Name of the User","example":"truongtx"}}},"NodeDTO":{"title":"NodeDTO","type":"object","properties":{"id":{"type":"string"},"label":{"type":"string"},"mapping":{"type":"array","items":{"$ref":"#/components/schemas/FieldMapping"}},"methodId":{"type":"string"},"position":{"$ref":"#/components/schemas/Position"},"schemaId":{"type":"string"},"sqlConfig":{"$ref":"#/components/schemas/SqlConfig"}}},"Notification":{"title":"Notification","type":"object","properties":{"activityUpdates":{"type":"boolean","description":"Activity updates status of the Notification","example":true},"deviceLowBattery":{"type":"boolean","description":"Device low battery status of the Notification","example":true},"promotion":{"type":"boolean","description":"Promotion status of the Notification","example":true}}},"NotificationDTO":{"title":"NotificationDTO","type":"object","properties":{"content":{"type":"string","description":"Content of the Notification","example":"Không tìm thấy ngôn ngữ của hệ thống."},"createdDate":{"type":"string","description":"Time created of the Notification","format":"date-time"},"data":{"type":"string","description":"Data of the Notification","example":"{\"key\": \"value\"}"},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"read":{"type":"boolean","description":"The Notification has been read or not.","example":true},"title":{"type":"string","description":"Title of the Notification","example":"Không tìm thấy ngôn ngữ của hệ thống."},"type":{"type":"integer","description":"Type of the Notification","format":"int32","example":1},"userId":{"type":"string","description":"ID of the current user.","example":"64c5b99a2f3e1a3d2b45f678"}}},"NotificationVM_Search":{"title":"NotificationVM_Search","required":["searchType"],"type":"object","properties":{"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"keyword":{"type":"string","description":"Keyword for the search of the Notification","example":"Công ty Cổ phần Vimers, BT1-07, Khu đô thị An Hưng, Hà Đông, Hà Nội, Vietnam"},"read":{"type":"boolean","description":"Read status for the search of the Notification","example":true},"searchType":{"type":"integer","description":"Search type for the search of the Notification","format":"int32","example":1},"type":{"type":"integer","description":"Notification type for the search of the Notification","format":"int32","example":1}}},"OnboardingDTO":{"title":"OnboardingDTO","type":"object","properties":{"activated":{"type":"boolean","description":"Activation status of the Onboarding","example":true},"deleted":{"type":"boolean","description":"Status of deletion of the record.","example":true},"deletedBy":{"type":"string","description":"Actor of deletion of the record.","example":"truongtx"},"deletedDate":{"type":"string","description":"Date of deletion of the record.","format":"date-time"},"description":{"type":"string","description":"Description of the Onboarding","example":"Điện thoại Apple iPhone 12"},"endTime":{"type":"string","description":"End time of the Onboarding","format":"date-time"},"id":{"type":"string","description":"Id of the record.","example":"64c5b99a2f3e1a3d2b45f678"},"imageData":{"type":"string","description":"Image data of the Onboarding","example":"iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAHElEQVQI12P4//8/w38GIAXDIBKE0DHxgljNBAAO9TXL0Y4OHwAAAABJRU5ErkJggg=="},"imageUrl":{"type":"string","description":"Image URL of the Onboarding","example":"https://vimers.vn/static/image.png"},"name":{"type":"string","description":"Name of the Onboarding","example":"iPhone 12"},"sortOrder":{"type":"integer","description":"Sort order of the Onboarding","format":"int32","example":1},"startTime":{"type":"string","description":"Start time of the Onboarding","format":"date-time"}}},"OnboardingVM_Create":{"title":"OnboardingVM_Create","required":["code","name","startTime"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activation status of the Onboarding","example":true},"code":{"type":"string","description":"Code of the Onboarding","example":"A1687"},"description":{"type":"string","description":"Description of the Onboarding","example":"Điện thoại Apple iPhone 12"},"endTime":{"type":"string","description":"End time of the Onboarding","format":"date-time"},"imageData":{"type":"string","description":"Image data of the Onboarding","example":"iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAHElEQVQI12P4//8/w38GIAXDIBKE0DHxgljNBAAO9TXL0Y4OHwAAAABJRU5ErkJggg=="},"imageUrl":{"type":"string","description":"Image URL of the Onboarding","example":"https://vimers.vn/static/image.png"},"name":{"type":"string","description":"Name of the Onboarding","example":"iPhone 12"},"sortOrder":{"type":"integer","description":"Sort order of the Onboarding","format":"int32","example":1},"startTime":{"type":"string","description":"Start time of the Onboarding","format":"date-time"}}},"OnboardingVM_Search":{"title":"OnboardingVM_Search","required":["searchType"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activation status of the Onboarding","example":true},"code":{"type":"string","description":"Code of the Onboarding","example":"A1687"},"description":{"type":"string","description":"Description of the Onboarding","example":"Điện thoại Apple iPhone 12"},"endTime":{"type":"string","description":"End time of the Onboarding","format":"date-time"},"id":{"type":"string","description":"Id of the Onboarding","example":"64c5b99a2f3e1a3d2b45f678"},"keyword":{"type":"string","description":"Keyword for the search of the Onboarding","example":"Công ty Cổ phần Vimers, BT1-07, Khu đô thị An Hưng, Hà Đông, Hà Nội, Vietnam"},"name":{"type":"string","description":"Name of the Onboarding","example":"iPhone 12"},"searchType":{"type":"integer","description":"Search type for the search of the Onboarding","format":"int32","example":1},"startTime":{"type":"string","description":"Start time of the Onboarding","format":"date-time"}}},"OnboardingVM_Update":{"title":"OnboardingVM_Update","required":["id"],"type":"object","properties":{"activated":{"type":"boolean","description":"Activation status of the Onboarding","example":true},"code":{"type":"string","description":"Code of the Onboarding","example":"A1687"},"description":{"type":"string","description":"Description of the Onboarding","example":"Điện thoại Apple iPhone 12"},"endTime":{"type":"string","description":"End time of the Onboarding","format":"date-time"},"id":{"type":"string","description":"Id of the Onboarding","example":"64c5b99a2f3e1a3d2b45f678"},"imageData":{"type":"string","description":"Image data of the Onboarding","example":"iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAHElEQVQI12P4//8/w38GIAXDIBKE0DHxgljNBAAO9TXL0Y4OHwAAAABJRU5ErkJggg=="},"imageUrl":{"type":"string","description":"Image URL of the Onboarding","example":"https://vimers.vn/static/image.png"},"name":{"type":"string","description":"Name of the Onboarding","example":"iPhone 12"},"sortOrder":{"type":"integer","description":"Sort order of the Onboarding","format":"int32","example":1},"startTime":{"type":"string","description":"Start time of the Onboarding","format":"date-time"}}},"PageOfComCatDTO":{"title":"PageOfComCatDTO","type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/ComCatDTO"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}}},"PageOfComCatTypeDTO":{"title":"PageOfComCatTypeDTO","type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/ComCatTypeDTO"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}}},"PageOfNotificationDTO":{"title":"PageOfNotificationDTO","type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/NotificationDTO"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}}},"PageOfOnboardingDTO":{"title":"PageOfOnboardingDTO","type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/OnboardingDTO"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}}},"PageOfPartner":{"title":"PageOfPartner","type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/Partner"}},"empty":{"type":"boolean"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"
[...]
